Restore a module
DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/archived-modules/{resource_id}/unarchive/
Restore an archived module to active status, making it available for regular use.
Path Parameters
resource_id:requiredstringThe unique identifier of the resource.
project_id:requiredstringThe unique identifier of the project.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Scopes
projects.modules:write
Restore a module
bash
curl -X DELETE \
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/archived-modules/resource-id-uuid/unarchive/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.delete(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/archived-modules/resource-id-uuid/unarchive/",
headers={"X-API-Key": "your-api-key"}
)
print(response.status_code)javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/archived-modules/resource-id-uuid/unarchive/",
{
method: "DELETE",
headers: {
"X-API-Key": "your-api-key",
},
}
);
console.log(response.status);Response204
No response body.

